Bug 25334 - Add generic 'phone' message transport type
Summary: Add generic 'phone' message transport type
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on: 25333
Blocks:
  Show dependency treegraph
 
Reported: 2020-04-30 18:43 UTC by Kyle M Hall
Modified: 2020-11-20 11:51 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Previously the 'phone' message transport in Koha was tied to itiva and was not adaptable to other vendors. In this version that transport is renamed 'itiva' and we add a new 'phone' type that generates notices in the same manner as email, sms and print notices. Koha on it's own will not do anything with these notices. Instead, you will need a plugin such as https://github.com/bywatersolutions/koha-plugin-twilio-voice to handle making the phone calls and updating the notice status.
Version(s) released in:
20.11.00


Attachments
Bug 25334: Add generic 'phone' message transport type (9.94 KB, patch)
2020-04-30 19:24 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25334: Add generic 'phone' message transport type (13.48 KB, patch)
2020-05-01 10:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25334: Add generic 'phone' message transport type (13.58 KB, patch)
2020-05-14 13:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25334: Add generic 'phone' message transport type (13.61 KB, patch)
2020-05-14 13:56 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25334: Add generic 'phone' message transport type (13.65 KB, patch)
2020-10-21 13:34 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25334: Add generic 'phone' message transport type (13.75 KB, patch)
2020-10-21 19:04 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva" (11.79 KB, patch)
2020-10-22 01:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25334: Add generic 'phone' message transport type (13.44 KB, patch)
2020-11-03 18:22 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25334: (QA follow-up) Update opac messaging (3.66 KB, patch)
2020-11-03 18:22 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25334: (QA follow-up) Update overduerules.tt (1.85 KB, patch)
2020-11-03 18:22 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25334: (QA follow-up) Update opac messaging (3.66 KB, patch)
2020-11-05 10:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25334: (QA follow-up) Update overduerules.tt (1.83 KB, patch)
2020-11-05 10:14 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25334: MTT is itiva not talkingtech (1.44 KB, patch)
2020-11-05 13:13 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25334: Add generic 'phone' message transport type (13.48 KB, patch)
2020-11-05 13:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25334: (QA follow-up) Update opac messaging (3.73 KB, patch)
2020-11-05 13:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25334: (QA follow-up) Update overduerules.tt (1.91 KB, patch)
2020-11-05 13:15 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25334: MTT is itiva not talkingtech (1.44 KB, patch)
2020-11-05 13:15 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-04-30 18:43:18 UTC
As bug 25333 changed the 'phone' transport type to 'talkingtech', we can now re-add 'phone' as a transport type again, and allow it to behave and support the same notices as the email transport type.
Comment 1 Kyle M Hall 2020-04-30 19:24:56 UTC
Created attachment 104050 [details] [review]
Bug 25334: Add generic 'phone' message transport type

As bug 25333 changed the 'phone' transport type to 'talkingtech', we can
now re-add 'phone' as a transport type again, and allow it to behave and
support the same notices as the email transport type.
Comment 2 Kyle M Hall 2020-05-01 10:35:46 UTC
Created attachment 104076 [details] [review]
Bug 25334: Add generic 'phone' message transport type

As bug 25333 changed the 'phone' transport type to 'talkingtech', we can
now re-add 'phone' as a transport type again, and allow it to behave and
support the same notices as the email transport type.

Test Plan;
1) Apply this patch
2) Run updatedatabase
3) Restart all the things!
4) Disable TalkingTechItivaPhoneNotificationi if enabled
5) Enable new PhoneNotification system preference
6) Go to a patron's messaging preferences, not you can select the
   'phone' option for all the same notices as the 'email' option
7) Enable the phone option for all the message types
8) Browser to the Notices and slips editor
9) Add a phone notice version for each notice you wish to test
10) Test some notices ( CHECKIN, CHECKOUT, etc )
11) Notices should show in the patron's messages as 'phone' notices
Comment 3 Kyle M Hall 2020-05-14 13:51:07 UTC
Created attachment 104885 [details] [review]
Bug 25334: Add generic 'phone' message transport type

As bug 25333 changed the 'phone' transport type to 'talkingtech', we can
now re-add 'phone' as a transport type again, and allow it to behave and
support the same notices as the email transport type.

Test Plan;
1) Apply this patch
2) Run updatedatabase
3) Restart all the things!
4) Disable TalkingTechItivaPhoneNotificationi if enabled
5) Enable new PhoneNotification system preference
6) Go to a patron's messaging preferences, not you can select the
   'phone' option for all the same notices as the 'email' option
7) Enable the phone option for all the message types
8) Browser to the Notices and slips editor
9) Add a phone notice version for each notice you wish to test
10) Test some notices ( CHECKIN, CHECKOUT, etc )
11) Notices should show in the patron's messages as 'phone' notices
Comment 4 Kyle M Hall 2020-05-14 13:56:14 UTC
Created attachment 104886 [details] [review]
Bug 25334: Add generic 'phone' message transport type

As bug 25333 changed the 'phone' transport type to 'talkingtech', we can
now re-add 'phone' as a transport type again, and allow it to behave and
support the same notices as the email transport type.

Test Plan;
1) Apply this patch
2) Run updatedatabase
3) Restart all the things!
4) Disable TalkingTechItivaPhoneNotificationi if enabled
5) Enable new PhoneNotification system preference
6) Go to a patron's messaging preferences, not you can select the
   'phone' option for all the same notices as the 'email' option
7) Enable the phone option for all the message types
8) Browser to the Notices and slips editor
9) Add a phone notice version for each notice you wish to test
10) Test some notices ( CHECKIN, CHECKOUT, etc )
11) Notices should show in the patron's messages as 'phone' notices
Comment 5 Andrew Fuerste-Henry 2020-10-20 19:15:38 UTC
Needs rebasing. 25333 applied fine, though.
Comment 6 Andrew Fuerste-Henry 2020-10-20 19:16:05 UTC
Needs rebasing. 25333 applied fine, though.
Comment 7 Kyle M Hall 2020-10-21 13:34:57 UTC
Created attachment 112101 [details] [review]
Bug 25334: Add generic 'phone' message transport type

As bug 25333 changed the 'phone' transport type to 'talkingtech', we can
now re-add 'phone' as a transport type again, and allow it to behave and
support the same notices as the email transport type.

Test Plan;
1) Apply this patch
2) Run updatedatabase
3) Restart all the things!
4) Disable TalkingTechItivaPhoneNotificationi if enabled
5) Enable new PhoneNotification system preference
6) Go to a patron's messaging preferences, not you can select the
   'phone' option for all the same notices as the 'email' option
7) Enable the phone option for all the message types
8) Browser to the Notices and slips editor
9) Add a phone notice version for each notice you wish to test
10) Test some notices ( CHECKIN, CHECKOUT, etc )
11) Notices should show in the patron's messages as 'phone' notices
Comment 8 Andrew Fuerste-Henry 2020-10-21 19:04:26 UTC
Created attachment 112119 [details] [review]
Bug 25334: Add generic 'phone' message transport type

As bug 25333 changed the 'phone' transport type to 'talkingtech', we can
now re-add 'phone' as a transport type again, and allow it to behave and
support the same notices as the email transport type.

Test Plan;
1) Apply this patch
2) Run updatedatabase
3) Restart all the things!
4) Disable TalkingTechItivaPhoneNotificationi if enabled
5) Enable new PhoneNotification system preference
6) Go to a patron's messaging preferences, not you can select the
   'phone' option for all the same notices as the 'email' option
7) Enable the phone option for all the message types
8) Browser to the Notices and slips editor
9) Add a phone notice version for each notice you wish to test
10) Test some notices ( CHECKIN, CHECKOUT, etc )
11) Notices should show in the patron's messages as 'phone' notices

Signed-off-by: Christopher Zorn <Christofer.Zorn@ajaxlibrary.ca>
Comment 9 Katrin Fischer 2020-10-22 01:45:29 UTC
Created attachment 112137 [details] [review]
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva"

From its inception, phone notices via Talking Tech have not behaved like
other notices. Instead of reading notices generated by Koha, the Talking
Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can
be processed by plugins to support arbitrary telephony vendors ( we will
be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage
transport type for Talking Tech from 'phone' to 'itiva' to
highlight its specificity and difference from standard message
transports.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Restart all the things!
4) Test Talking Tech outbound script
5) Note no changes in functionality

Signed-off-by: Christopher Zorn <Christofer.Zorn@ajaxlibrary.ca>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2020-10-22 02:01:55 UTC
Hi Kyle, I think we are missing changes for the OPAC and overdue notice trigger templates here.
Comment 11 Kyle M Hall 2020-11-03 18:22:01 UTC
Created attachment 112946 [details] [review]
Bug 25334: Add generic 'phone' message transport type

As bug 25333 changed the 'phone' transport type to 'talkingtech', we can
now re-add 'phone' as a transport type again, and allow it to behave and
support the same notices as the email transport type.

Test Plan;
1) Apply this patch
2) Run updatedatabase
3) Restart all the things!
4) Disable TalkingTechItivaPhoneNotificationi if enabled
5) Enable new PhoneNotification system preference
6) Go to a patron's messaging preferences, not you can select the
   'phone' option for all the same notices as the 'email' option
7) Enable the phone option for all the message types
8) Browser to the Notices and slips editor
9) Add a phone notice version for each notice you wish to test
10) Test some notices ( CHECKIN, CHECKOUT, etc )
11) Notices should show in the patron's messages as 'phone' notices

Signed-off-by: Christopher Zorn <Christofer.Zorn@ajaxlibrary.ca>
Comment 12 Kyle M Hall 2020-11-03 18:22:11 UTC
Created attachment 112947 [details] [review]
Bug 25334: (QA follow-up) Update opac messaging
Comment 13 Kyle M Hall 2020-11-03 18:22:14 UTC
Created attachment 112948 [details] [review]
Bug 25334: (QA follow-up) Update overduerules.tt
Comment 14 Jonathan Druart 2020-11-05 10:14:29 UTC
Created attachment 113059 [details] [review]
Bug 25334: (QA follow-up) Update opac messaging
Comment 15 Jonathan Druart 2020-11-05 10:14:33 UTC
Created attachment 113060 [details] [review]
Bug 25334: (QA follow-up) Update overduerules.tt
Comment 16 Jonathan Druart 2020-11-05 10:15:00 UTC
Fixed patch author.
Comment 17 Jonathan Druart 2020-11-05 13:13:41 UTC
Created attachment 113103 [details] [review]
Bug 25334: MTT is itiva not talkingtech
Comment 18 Jonathan Druart 2020-11-05 13:15:29 UTC
Created attachment 113104 [details] [review]
Bug 25334: Add generic 'phone' message transport type

As bug 25333 changed the 'phone' transport type to 'talkingtech', we can
now re-add 'phone' as a transport type again, and allow it to behave and
support the same notices as the email transport type.

Test Plan;
1) Apply this patch
2) Run updatedatabase
3) Restart all the things!
4) Disable TalkingTechItivaPhoneNotificationi if enabled
5) Enable new PhoneNotification system preference
6) Go to a patron's messaging preferences, not you can select the
   'phone' option for all the same notices as the 'email' option
7) Enable the phone option for all the message types
8) Browser to the Notices and slips editor
9) Add a phone notice version for each notice you wish to test
10) Test some notices ( CHECKIN, CHECKOUT, etc )
11) Notices should show in the patron's messages as 'phone' notices

Signed-off-by: Christopher Zorn <Christofer.Zorn@ajaxlibrary.ca>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 19 Jonathan Druart 2020-11-05 13:15:33 UTC
Created attachment 113105 [details] [review]
Bug 25334: (QA follow-up) Update opac messaging

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 20 Jonathan Druart 2020-11-05 13:15:36 UTC
Created attachment 113106 [details] [review]
Bug 25334: (QA follow-up) Update overduerules.tt

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 21 Jonathan Druart 2020-11-05 13:15:39 UTC
Created attachment 113107 [details] [review]
Bug 25334: MTT is itiva not talkingtech
Comment 22 Jonathan Druart 2020-11-05 13:16:46 UTC
Added missing signed-off-by line.
Comment 23 Jonathan Druart 2020-11-05 14:25:16 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 24 Lucas Gass 2020-11-16 22:02:23 UTC
enhancement will not be backported to 20.05.x